// Érika

#include<stdio.h>
#include <stdlib.h>
#include<string.h>
#include <locale.h>



char *nomeabrv (int tam, char *nome)
{
    int i,j=0;

    char *abreviatura=(char *) malloc(tam*sizeof(char)+1);
    for(i=0; i<tam; i++)
    {

        if(nome[i]>='D')
        {
            if (nome[i+1]=='e')
            {
                if(nome[i+2]==' ')
                {
                    i++;
                }
            }

        }

        if ((nome[i]>='A')&&(nome[i]<='Z'))
        {

            abreviatura[j]=nome[i];
            abreviatura[j+1]='.';
            abreviatura[j+2]=' ';
            j=j+3;

        }

    }
    return abreviatura;
}



int main()
{

    setlocale(LC_ALL,"portuguese");

    char nome[50];

    int i, tam;

    char *abrv;



    printf("Digite o nome completo com inicais maiúsculas:\n");

    gets(nome);

    tam=strlen(nome);



    printf("Nome abreviado:\n");



    abrv = nomeabrv(tam,nome);
    printf("%s", abrv);
}
